package de.ivu.elect.business.wahl.entity;

public enum WahlParameterStimmuebergabePlausibilisierung {

  PLAUSIBILISIERUNGSERGEBNIS_UEBERNEHMEN {
    @Override
    public boolean isErneutPlausibilisieren() {
      return false;
    }
  },
  ERNEUT_PLAUSIBILISIEREN {
    @Override
    public boolean isErneutPlausibilisieren() {
      return true;
    }
  },
  ERNEUT_PLAUSIBILISIEREN_KANN_FEHLER_AUTOMATISCH_BESTAETIGEN{
    @Override
    public boolean isKannFehlerAutomatischBestaetigen() {
      return true;
    }

    @Override
    public boolean isErneutPlausibilisieren() {
      return true;
    }
  };

  public boolean isKannFehlerAutomatischBestaetigen() {
    return false;
  }

  public abstract boolean isErneutPlausibilisieren() ;
}
